CRAN Package Check Results for Package plotly

Last updated on 2019-10-31 00:51:04 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 4.9.0 17.51 263.57 281.08 OK
r-devel-linux-x86_64-debian-gcc 4.9.0 14.26 234.98 249.24 ERROR
r-devel-linux-x86_64-fedora-clang 4.9.0 278.02 NOTE
r-devel-linux-x86_64-fedora-gcc 4.9.0 265.22 OK
r-devel-windows-ix86+x86_64 4.9.0 39.00 299.00 338.00 NOTE
r-patched-linux-x86_64 4.9.0 16.21 231.12 247.33 OK
r-patched-solaris-x86 4.9.0 311.60 ERROR
r-release-linux-x86_64 4.9.0 14.15 233.55 247.70 OK
r-release-windows-ix86+x86_64 4.9.0 39.00 215.00 254.00 NOTE
r-release-osx-x86_64 4.9.0 ERROR
r-oldrel-windows-ix86+x86_64 4.9.0 30.00 315.00 345.00 NOTE
r-oldrel-osx-x86_64 4.9.0 ERROR

Check Details

Version: 4.9.0
Check: tests
Result: ERROR
     Running ‘testthat.R’ [163s/195s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > library("testthat")
     > library("plotly")
     Loading required package: ggplot2
    
     Attaching package: 'plotly'
    
     The following object is masked from 'package:ggplot2':
    
     last_plot
    
     The following object is masked from 'package:stats':
    
     filter
    
     The following object is masked from 'package:graphics':
    
     layout
    
     >
     > test_check("plotly")
     Visual testing is not enabled.
     ── 1. Failure: hline/vline/abline split on linetype/colour/size (@test-ggplot-hl
     unique(vapply(l$data, function(x) x$line$color, character(1))) not equivalent to c("rgba(0,0,0,1)", "rgba(255,0,0,1)", "rgba(0,205,0,1)").
     2/3 mismatches
     x[2]: "rgba(223,83,107,1)"
     y[2]: "rgba(255,0,0,1)"
    
     x[3]: "rgba(97,208,79,1)"
     y[3]: "rgba(0,205,0,1)"
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     [ OK: 1393 | SKIPPED: 43 | WARNINGS: 73 | FAILED: 1 ]
     1. Failure: hline/vline/abline split on linetype/colour/size (@test-ggplot-hline.R#69)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-devel-linux-x86_64-debian-gcc

Version: 4.9.0
Check: installed package size
Result: NOTE
     installed size is 6.4Mb
     sub-directories of 1Mb or more:
     htmlwidgets 3.4Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-ix86+x86_64, r-patched-solaris-x86, r-release-windows-ix86+x86_64, r-release-osx-x86_64, r-oldrel-windows-ix86+x86_64, r-oldrel-osx-x86_64

Version: 4.9.0
Check: examples
Result: ERROR
    Running examples in ‘plotly-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: partial_bundle
    > ### Title: Use a partial bundle of plotly.js
    > ### Aliases: partial_bundle
    >
    > ### ** Examples
    >
    >
    > # ----------------------------------------------------------------------
    > # This function is always safe to use when rendering a single
    > # plotly graph. In this case, we get a 3x file reduction.
    > # ----------------------------------------------------------------------
    >
    > library(plotly)
    > p <- plot_ly(x = 1:10, y = 1:10) %>% add_markers()
    > save_widget <- function(p, f) {
    + owd <- setwd(dirname(f))
    + on.exit(setwd(owd))
    + htmlwidgets::saveWidget(p, f)
    + mb <- round(file.info(f)$size / 1e6, 3)
    + message("File is: ", mb," MB")
    + }
    > f1 <- tempfile(fileext = ".html")
    > f2 <- tempfile(fileext = ".html")
    > save_widget(p, f1)
    Error in htmlwidgets::saveWidget(p, f) :
     Saving a widget with selfcontained = TRUE requires pandoc. For details see:
    https://github.com/rstudio/rmarkdown/blob/master/PANDOC.md
    Calls: save_widget -> <Anonymous>
    Execution halted
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64